# boost::numeric::ublas::hermitian_matrix< T, TRI, L, A >::iterator2 Class Reference

List of all members.

## Public Types

typedef hermitian_matrix::value_type | value_type
typedef hermitian_matrix::difference_type | difference_type
typedef hermitian_matrix::true_reference | reference
typedef hermitian_matrix::pointer | pointer
typedef iterator1 | dual_iterator_type
typedef reverse_iterator1 | dual_reverse_iterator_type

## Public Member Functions

BOOST_UBLAS_INLINE | iterator2 (self_type &m, size_type it1, size_type it2)
BOOST_UBLAS_INLINE iterator2 & | operator++ ()
BOOST_UBLAS_INLINE iterator2 & | operator-- ()
BOOST_UBLAS_INLINE iterator2 & | operator+= (difference_type n)
BOOST_UBLAS_INLINE iterator2 & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const iterator2 &it) const
BOOST_UBLAS_INLINE reference | operator* () const
BOOST_UBLAS_INLINE reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE iterator1 | begin () const
BOOST_UBLAS_INLINE iterator1 | end () const
BOOST_UBLAS_INLINE reverse_iterator1 | rbegin () const
BOOST_UBLAS_INLINE reverse_iterator1 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE iterator2 & | operator= (const iterator2 &it)
BOOST_UBLAS_INLINE bool | operator== (const iterator2 &it) const
BOOST_UBLAS_INLINE bool | operator< (const iterator2 &it) const

## Friends

class | const_iterator2

### template<class T, class TRI, class L, class A>
class boost::numeric::ublas::hermitian_matrix< T, TRI, L, A >::iterator2